#include "FontWriter/font_writer.hpp"
#include "assets.hpp"
#include <PSX/GPU/gpu_primitives.hpp>
#include <PSX/GPU/gpu.hpp>
#include <stdio.h>

using namespace JabyEngine;

static void setup() {
    Assets::load_for_main();
    FontWriter::setup();
}

void main() {
    setup();

    while(true) {
        FontWriter::write(0, 32, "Cody is cute\n&\na BAAAAABY!!!");

        GPU::swap_buffers_vsync(1);
        FontWriter::render();
    }
}