#ifndef __JABYENGINE_MEMORY_IO_HPP__
#define __JABYENGINE_MEMORY_IO_HPP__
#include "ioport.hpp"

namespace JabyEngine {
    namespace Memory_IO {
        __declare_io_type(COM_DELAY, uint32_t,
            void setup() {
                this->raw_value = 0x1325;
            }       
        );

        __declare_io_type(CD_DELAY, uint32_t,
            void setup() {
                this->raw_value = 0x20943;
            }        
        );

        __declare_new_io_port(COM_DELAY, 0x1F801020);
        __declare_new_io_port(CD_DELAY,  0x1F801018);
    }
}

#endif //!__JABYENGINE_MEMORY_IO_HPP__