#include "simplehelper.hpp"

namespace JabyEngine {
    namespace FileProcessor {
        struct NothingState {
        };

        static Progress parse_nothing(State::Configuration& config, NothingState& state) {
            return Progress::Done;
        }

        State create(const uint32_t* data_adr, const Nothing& nothing) {
            return State::from(NothingState(), reinterpret_cast<const uint8_t*>(data_adr), parse_nothing);
        }
    }
}